org.eclipse.microprofile.rest.client.tck.providers

## Class MultiTypedProvider

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.MultiTypedProvider

All Implemented Interfaces:
  javax.ws.rs.client.ClientRequestFilter, javax.ws.rs.client.ClientResponseFilter, javax.ws.rs.ext.MessageBodyReader<Object>, javax.ws.rs.ext.MessageBodyWriter<Object>, javax.ws.rs.ext.ParamConverterProvider, javax.ws.rs.ext.ReaderInterceptor, javax.ws.rs.ext.WriterInterceptor, ResponseExceptionMapper<Throwable>

    public class MultiTypedProvider
    extends Object
    implements javax.ws.rs.client.ClientRequestFilter, javax.ws.rs.client.ClientResponseFilter, javax.ws.rs.ext.MessageBodyReader<Object>, javax.ws.rs.ext.MessageBodyWriter<Object>, javax.ws.rs.ext.ReaderInterceptor, javax.ws.rs.ext.WriterInterceptor, ResponseExceptionMapper<Throwable>, javax.ws.rs.ext.ParamConverterProvider

### Field Summary

### Fields inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`DEFAULT_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`MultiTypedProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `aroundReadFrom(javax.ws.rs.ext.ReaderInterceptorContext context)`
`void` `aroundWriteTo(javax.ws.rs.ext.WriterInterceptorContext context)`
`void` `filter(javax.ws.rs.client.ClientRequestContext requestContext)`
`void` `filter(javax.ws.rs.client.ClientRequestContext requestContext, javax.ws.rs.client.ClientResponseContext responseContext)`
`<T> javax.ws.rs.ext.ParamConverter<T>` `getConverter(Class<T> rawType, Type genericType, Annotation[] annotations)`
`long` `getSize(Object o, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`boolean` `isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`boolean` `isWriteable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`Object` `readFrom(Class<Object> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`
`Throwable` `toThrowable(javax.ws.rs.core.Response response)`
`void` `writeTo(Object t, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`getPriority, handles`

### Constructor Detail

#### MultiTypedProvider

    public MultiTypedProvider()

### Method Detail

#### filter

    public void filter(javax.ws.rs.client.ClientRequestContext requestContext)
                throws IOException

Specified by:
  `filter` in interface `javax.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`

#### filter

    public void filter(javax.ws.rs.client.ClientRequestContext requestContext,
                       javax.ws.rs.client.ClientResponseContext responseContext)
                throws IOException

Specified by:
  `filter` in interface `javax.ws.rs.client.ClientResponseFilter`
Throws:
  `IOException`

#### isReadable

    public boolean isReadable(Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

Specified by:
  `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<Object>`

#### readFrom

    public Object readFrom(Class<Object> type,
                           Type genericType,
                           Annotation[] annotations,
                           javax.ws.rs.core.MediaType mediaType,
                           javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders,
                           InputStream entityStream)
                    throws IOException,
                           javax.ws.rs.WebApplicationException

Specified by:
  `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<Object>`
Throws:
  `IOException`
  `javax.ws.rs.WebApplicationException`

#### isWriteable

    public boolean isWriteable(Class<?> type,
                               Type genericType,
                               Annotation[] annotations,
                               javax.ws.rs.core.MediaType mediaType)

Specified by:
  `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<Object>`

#### getSize

    public long getSize(Object o,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType)

Specified by:
  `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<Object>`

#### writeTo

    public void writeTo(Object t,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType,
                        javax.ws.rs.core.MultivaluedMap<String,Object> httpHeaders,
                        OutputStream entityStream)
                 throws IOException,
                        javax.ws.rs.WebApplicationException

Specified by:
  `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Object>`
Throws:
  `IOException`
  `javax.ws.rs.WebApplicationException`

#### getConverter

    public <T> javax.ws.rs.ext.ParamConverter<T> getConverter(Class<T> rawType,
                                                              Type genericType,
                                                              Annotation[] annotations)

Specified by:
  `getConverter` in interface `javax.ws.rs.ext.ParamConverterProvider`

#### aroundReadFrom

    public Object aroundReadFrom(javax.ws.rs.ext.ReaderInterceptorContext context)
                          throws IOException,
                                 javax.ws.rs.WebApplicationException

Specified by:
  `aroundReadFrom` in interface `javax.ws.rs.ext.ReaderInterceptor`
Throws:
  `IOException`
  `javax.ws.rs.WebApplicationException`

#### aroundWriteTo

    public void aroundWriteTo(javax.ws.rs.ext.WriterInterceptorContext context)
                       throws IOException,
                              javax.ws.rs.WebApplicationException

Specified by:
  `aroundWriteTo` in interface `javax.ws.rs.ext.WriterInterceptor`
Throws:
  `IOException`
  `javax.ws.rs.WebApplicationException`

#### toThrowable

    public Throwable toThrowable(javax.ws.rs.core.Response response)

Specified by:
  `toThrowable` in interface `ResponseExceptionMapper<Throwable>`